🚀(paas) add PaaS deployment scripts, tested on Scalingo

add PaaS deployment scripts, tested on Scalingo
This commit is contained in:
Sylvain Zimmer
2025-08-08 10:05:47 +02:00
committed by aleb_the_flash
parent 69c6e58017
commit 117677bd14
8 changed files with 101 additions and 2 deletions

9
bin/buildpack_postcompile.sh Executable file
View File

@@ -0,0 +1,9 @@
#!/bin/bash
set -o errexit # always exit on error
set -o pipefail # don't ignore exit codes when piping output
echo "-----> Running post-compile script"
# Cleanup
rm -rf docker docs env.d gitlint

16
bin/buildpack_postfrontend.sh Executable file
View File

@@ -0,0 +1,16 @@
#!/bin/bash
set -o errexit # always exit on error
set -o pipefail # don't ignore exit codes when piping output
echo "-----> Running post-frontend script"
# Move the frontend build to the nginx root and clean up
mkdir -p build/
mv src/frontend/dist build/frontend-out
mv src/backend/* ./
mv deploy/paas/* ./
echo "3.13" > .python-version
echo "." > requirements.txt

15
bin/buildpack_start.sh Executable file
View File

@@ -0,0 +1,15 @@
#!/bin/bash
# Start the Django backend server
gunicorn -b 0.0.0.0:8000 meet.wsgi:application --log-file - &
# Start the Nginx server
bin/run &
# if the current shell is killed, also terminate all its children
trap "pkill SIGTERM -P $$" SIGTERM
# wait for a single child to finish,
wait -n
# then kill all the other tasks
pkill -P $$